	function hiddenObj(i){
		getObjById(i).style.display = "none";
	}

	function showObj(i){
		getObjById(i).style.display = "block";
	}

	function isEmpty(val){
		if(val == null || typeof val == 'undefined'){
			return true;
		}
		return false;
	}
	function transNull(val){
		if(val == null || typeof val == 'undefined'){
			return "";
		}
		return val;
	}

	function replaceIHTML(i,n){
		replaceObjIHTML(getObjById(i), transNull(n));
	}

	function replaceObjIHTML(o,n){
		o.innerHTML = n;
	}

	function getObjById(i){
		return document.getElementById(i);
	}
	
	function buildMoney(key,val){
		if(isEmpty(val)){

			return false;

		}
		replaceIHTML(key,"¥"+val.toFixed(2));
	}
	
	function transMoneyWithPreFix(val){
		if(isEmpty(val) || val == ''){
			val = 0;
		}
	

		return "¥"+val.toFixed(2);
	}
	
	
	function transArray(obj){
		if(obj instanceof Array){
			return obj;
		}else{
			var ary = new Array();
			ary.push(obj);
			return ary;
		}
	}
	
	
	//转换日期为中文
	function showCNDate(ENDate){
		if(isEmpty(ENDate)){
			return '';
		}
		
		if(ENDate.length > 10){
			ENDate = ENDate.substring(0,10);
		}

		var dateSp = ENDate.split(/[-]/);
		if(dateSp.length >= 3){
			return dateSp[0] + '年' + dateSp[1] + '月' + dateSp[2] + '日';
		}
		return '';
	}

	function splitTime(time){
		if(!isEmpty(time)){
			if(time.length == 4){//1212型
				return time.substring(0,2) +":" +time.substring(2);
			}else if(time.length == 5){//12:12型
				return time;
			}else if(time.length == 19){//2015-12-21 01:20:00型
				return time.substring(11,16);
			}
		}
		return "";
	}

	function caculateTime(flightDate,takeOffTime,arrDate,arriveTime){
		if(isEmpty(flightDate) || isEmpty(takeOffTime) ||isEmpty(arrDate) ||isEmpty(arriveTime)){
			return '';
		}

		var date1=new Date(flightDate.replace(/\-/g,'/') + " " + splitTime(takeOffTime) +":00");  //开始时间

		var date2=new Date(arrDate.replace(/\-/g,'/') + " " + splitTime(arriveTime)+":00");    //结束时间

		return getCNHour(date1,date2);
	}
	
	// 携程计算飞行时间
	function caculateTimeForXieCheng(flightDate,arrDate){
		if(isEmpty(flightDate) ||isEmpty(arrDate)){
			return '';
		}

		var date1=new Date(flightDate.replace(/\-/g,'/'));  //开始时间
		var date2=new Date(arrDate.replace(/\-/g,'/'));    //结束时间

		return getCNHour(date1,date2);
	}
	
	function getCNHour(date1,date2){
		var date3=date2.getTime()-date1.getTime()  //时间差的毫秒数

		var days=Math.floor(date3/(24*3600*1000))


		//计算出小时数
		var leave1=date3%(24*3600*1000)    //计算天数后剩余的毫秒数
		var hours=Math.floor(leave1/(3600*1000))

		//计算相差分钟数
		var leave2=leave1%(3600*1000)        //计算小时数后剩余的毫秒数
		var minutes=Math.floor(leave2/(60*1000))

		return (hours + days*24) + "时" + minutes + "分";
	}

	function showWeek(ENDate){
		if(isEmpty(ENDate)){
			return '';
		}
		var t=new Date(ENDate.replace(/\-/g,'/'));

		var weekday=new Array(7);

		weekday[0]="星期日";

		weekday[1]="星期一";

		weekday[2]="星期二";

		weekday[3]="星期三";

		weekday[4]="星期四";

		weekday[5]="星期五";

		weekday[6]="星期六";

		return weekday[t.getDay()];
	}
	
	function getCertType(certKey){
		certKey = certKey.toUpperCase();
		if(certKey == 'PSP'){
			return "护照";
		}else if(certKey == 'HKM'){
			return "港澳通行证";
		}else if(certKey == 'TWM'){
			return "台湾通行证";
		}else if(certKey == 'TW2'){
			return "台胞证";
		} else if(certKey == 'TW1'){
			return "回乡证";
		} else if(certKey == 'IDC'){
			return "身份证";
		} else if(certKey == 'SEA'){
			return "国际海员证";
		}

		return "其他";
	}